Subject: bug#41129: outline-mode: New keybindings for demote/promote/move-subtree

From: Visuwesh <[email-masked]>
Date: Wed, 11 May 2022 16:07:40 +0530

[புதன் மே 11, 2022] Juri Linkov wrote:

>>> Should these four bindings be on outline-minor-mode-cycle-map or
>>> on outline-minor-mode-map?  They don't have to do with cycling.
>>
>> Juri suggested putting them on the former because they'd be too
>> disturbing in the main map -- M-<right> etc are bound to navigation
>> commands in editable buffers.
>
> Actually I suggested these bindings only for personal customization
> for anyone who needs to edit heading levels because these bindings
> are too intrusive to be used by default in the cycling map.
> It already takes the TAB key from users, and taking more keys is too much
> for the cycling map.  To be able to add editing keys to outline-minor-mode
> they need to be on some separate map such as outline-minor-mode-edit-map.

Moreover, with repeat-mode turned on, changing the outline level and
moving them is not tedious anymore.